[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SuSE] Sammeladvisory fuer die 42. KW 2008 - SUSE-SR:2008:021



-----BEGIN PGP SIGNED MESSAGE-----

Liebe Kolleginnen und Kollegen,

soeben erreichte uns nachfolgendes SuSE Security Advisory. Wir geben
diese Informationen unveraendert an Sie weiter.

CVE-2008-2940 - Schwachstelle in hpssd erlaubt Versenden von E-Mail

  Ein Fehler im hpssd erlaubt es lokalen Angreifern, Alarmierungs
  E-Mails des hplip (Hewlett-Packard Linux Imaging and Printing) Systems
  zu versenden, indem sie entsprechend aufgebaute Pakete an den hpssd
  Daemon senden. Die E-Mails werden vom root Account versendet.

CVE-2008-2941 - Denial of Service Schwachstelle im Message Parser des
hpssd

  Ein Fehler im Message Parser des hpssd (Teil des Hewlett-Packard Linux
  Imaging and Printing Systems) erlaubt es lokalen Angreifern, den
  Daemon zum Absturz zu bringen (Denial of Service).

CVE-2008-2952 - Zusicherungsfehler in der OpenLDAP Funktion
ber_get_next()

  Beim Verarbeiten bestimmter BER codierter ASN.1 Daten in LDAP Paketen
  schlaegt faelschlicherweise eine Zusicherung (Assertion) in der
  Funktion ber_get_next() (aus liblber/io.c) fehl. Ein Angreifer kann
  diese Schwachstelle ueber das Netz dazu ausnutzen, die Ausfuehrung des
  OpenLDAP Servers zu beenden (Denial of Service).

CVE-2008-3658 - Buffer Overflow in der PHP GD Funktion imageloadfont()

  In der Funktion imageloadfont() aus der GD Bibliothek von PHP
  (ext/gd/gd.c) laesst sich ein Buffer Overflow ausloesen. Ein Angreifer
  kann diese Schwachstelle dazu ausnutzen, PHP zum Absturz zu bringen
  (Denial of Service) oder beliebigen Code mit den Rechten der
  Webanwendung auszufuehren, indem er eine manipulierte Font-Datei
  erstellt und sie mit dieser Funktion laedt.

CVE-2008-3659 - Buffer Overflow in der PHP Funktion memnstr()

  In der PHP-Funktion memnstr() laesst sich durch Angabe eines
  ueberlangen "delimiter" Parameters ein Buffer Overflow ausloesen. Ein
  Angreifer kann diese Schwachstelle ausnutzen um beliebige Befehle mit
  den Rechten der Webanwendung auszufuehren.

CVE-2008-3639 - Heap Overflow in der Funktion read_rle16() des CUPS
imagetops Filters

  Die Funktion read_rle16() gehoert zum CUPS imagetops Filter. Sie
  ueberprueft den Row Count aus Bildern im SGI Image Format nicht,
  wodurch evtl. zuwenig Speicherplatz fuer eine Reihe von 16-Bit Integer
  Werten angelegt wird und ein Heap Overflow ausgeloest werden kann.
  Angreifer koennen diese Schwachstelle ueber das Netz dazu ausnutzen,
  beliebigen Code mit den Rechten des CUPS Daemons (i.d.R. "lp")
  auszufuehren, indem sie ein entsprechend aufgebautes SGI Image in
  einen Druckjob einbringen.

CVE-2008-3640 - Integer Overflow in der Funktion WriteProlog() des CUPS
texttops Filters

  Die Funktion WriteProlog() gehoert zum CUPS texttops Filter. Sie
  ueberprueft das Ergebnis von Berechnungen mit den "cpi", "lpi" und
  "column" Werten aus dem Textfile bzw. dem dazugehoerigen Druckjob
  nicht darauf, ob sich ein Integer Overflow ereignet hat. Dadurch kann
  zuwenig Speicherplatz fuer eine Seite angelegt und ein Heap Overflow
  ausgeloest werden. Angreifer koennen diese Schwachstelle ueber das
  Netz dazu ausnutzen, beliebigen Code mit den Rechten des CUPS Daemons
  (i.d.R. "lp") auszufuehren, indem sie einen Druckjob mit einer
  entsprechend aufgebaute Textdatei und entsprechenden Parametern an
  CUPS senden.

CVE-2008-3641 - Fehlende Pruefung der Pen Width und Pen Color Opcodes im
CUPS hpgltops Filter

  Der CUPS hpgltops Filter prueft die Opcodes fuer Pen Width und Pen
  Color nicht drauf, ob sie sich in Grenzen eines vorher allozierten
  Buffers befinden. Aufgrund dessen koennen beliebige Stellen im
  Hauptspeicher des hpgltops Prozesses ueberschrieben werden. Ein
  Angreifer kann diese Schwachstelle dazu ausnutzen, beliebigen Code mit
  den Rechten des CUPS Daemons (i.d.R. "lp") auszufuehren, indem er
  einen Druckjob mit einer entsprechend augebauten HPGL Datei an CUPS
  sendet.

Betroffen sind die folgenden Software Pakete und Plattformen:

  cups
  hplip
  apache2-mod_php5
  openldap2
   

  Alle SuSE Linux Produkte

Vom Hersteller werden ueberarbeitete Pakete zur Verfuegung gestellt.

Hersteller Advisory:
  http://www.novell.com/linux/security/securitysupport.html


(c) der deutschen Zusammenfassung bei DFN-CERT Services GmbH; die
Verbreitung, auch auszugsweise, ist nur unter Hinweis auf den Urheber,
DFN-CERT Services GmbH, und nur zu nicht kommerziellen Zwecken
gestattet.

Mit freundlichen Gruessen,
   Michael Groening, DFN-CERT
- -- 

Michael Groening (Incident Response Team), +49 40 808077-555

DFN-CERT Services GmbH, https://www.dfn-cert.de,  Phone  +49 40 808077-555
Sitz / Register: Hamburg, AG Hamburg, HRB 88805,  Ust-IdNr.:  DE 232129737
Sachsenstrasse 5, 20097 Hamburg/Germany,  CEO: Dr. Klaus-Peter Kossakowski

Automatische Warnmeldungen                https://www.cert.dfn.de/autowarn


- -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

______________________________________________________________________________

                        SUSE Security Summary Report

        Announcement ID:        SUSE-SR:2008:021
        Date:                   Fri, 17 Oct 2008 14:00:00 +0000
        Cross-References:       CVE-2008-2940, CVE-2008-2941, CVE-2008-2952
                                CVE-2008-3658, CVE-2008-3659

    Content of this advisory:
        1) Solved Security Vulnerabilities:
            - cups
            - hplip
            - apache2-mod_php5
            - openldap2
        2) Pending Vulnerabilities, Solutions, and Work-Arounds:
            none
        3) Authenticity Verification and Additional Information

______________________________________________________________________________

1) Solved Security Vulnerabilities

   To avoid flooding mailing lists with SUSE Security Announcements for minor
   issues, SUSE Security releases weekly summary reports for the low profile
   vulnerability fixes. The SUSE Security Summary Reports do not list or
   download URLs like the SUSE Security Announcements that are released for
   more severe vulnerabilities.

   Fixed packages for the following incidents are already available on our FTP
   server and via the YaST Online Update.

   - cups
     Specially crafted print jobs could trigger buffer overflows in the
     'imagetops', 'texttops' and 'hpgltops' filters. Attackers could
     potentially exploit that to execute arbitrary code on the cups
     server (CVE-2008-3639, CVE-2008-3640, CVE-2008-3641).
     Affected products: openSUSE 10.2-11.0, SLED 10 SP1,SLED 10 SP2,
     SLES 10 SP1,SLES 10 SP2,SuSE Linux Enterprise Server 8 for IBM
     S/390 and IBM zSeries,SuSE Linux Enterprise Server 8 for x86,
     Novell Linux Desktop 9,Novell Linux POS 9,Open Enterprise Server,SLES 9

   - hplip,hplip-hpijs,hplip17,hplip17-hpijs
     hplip was updated because it does allow to send alert mails as user
     (CVE-2008-2940) and was affected by a denial-of-service bug
     (CVE-2008-2941). 
     Affected products: openSUSE 10.2-10.3,SLED 10 SP1,SLED 10 SP2,SLES 10 SP1,
     SLES 10 SP2

   - apache2-mod_php5,php5*
     The current update of apache2-mod_php5 fixes some overflows in the
     gd extension and in the memnstr() function that could crash php or
     possibly allow remote code execution (CVE-2008-3658, CVE-2008-3659)
     Affected products: openSUSE 10.2-11.0 (previously released), SLE SDK 10
     SP1,SLES 10 SP1

   - openldap2
     This update fixes a security problem in the liblber client library of
     openldap that allowed remote attackers to cause a denial of service
     (program termination) via crafted ASN.1 BER datagrams, which triggers
     an assertion error. (CVE-2008-2952)
     Additionally a bug was fixed in ldap_free_connection which could result
     in client crashes when the server closed a connection while an operation
     is active.
     Affected products: openSUSE 10.2-11.0, Novell Linux Desktop 9, Novell
     Linux POS 9,Open Enterprise Server,SLE 10 DEBUGINFO SP2,SLE SDK 10 SP1,
     SLE SDK 10 SP2,SLED 10 SP1,SLED 10 SP2,SLES 10 SP1,SLES 10 SP2,SLES 9,
     SuSE Linux Enterprise Server 8 for IBM S/390 and IBM zSeries,
     SuSE Linux Enterprise Server 8 for x86

______________________________________________________________________________

2) Pending Vulnerabilities, Solutions, and Work-Arounds

   none
______________________________________________________________________________

3) Authenticity Verification and Additional Information

  - Announcement authenticity verification:

    SUSE security announcements are published via mailing lists and on Web
    sites. The authenticity and integrity of a SUSE security announcement is
    guaranteed by a cryptographic signature in each announcement. All SUSE
    security announcements are published with a valid signature.

    To verify the signature of the announcement, save it as text into a file
    and run the command

      gpg --verify <file>

    replacing <file> with the name of the file containing the announcement.
    The output for a valid signature looks like:

      gpg: Signature made <DATE> using RSA key ID 3D25D3D9
      gpg: Good signature from "SuSE Security Team <security@xxxxxxx>"

    where <DATE> is replaced by the date the document was signed.

    If the security team's key is not contained in your key ring, you can
    import it from the first installation CD. To import the key, use the
    command

      gpg --import gpg-pubkey-3d25d3d9-36e12d04.asc

  - Package authenticity verification:

    SUSE update packages are available on many mirror FTP servers all over the
    world. While this service is considered valuable and important to the free
    and open source software community, the authenticity and integrity of a
    package needs to be verified to ensure that it has not been tampered with.

    The internal RPM package signatures provide an easy way to verify the
    authenticity of an RPM package. Use the command

      rpm -v --checksig <file.rpm>

    to verify the signature of the package, replacing <file.rpm> with the
    filename of the RPM package downloaded. The package is unmodified if it
    contains a valid signature from build@xxxxxxx with the key ID 9C800ACA.

    This key is automatically imported into the RPM database (on RPMv4-based
    distributions) and the gpg key ring of 'root' during installation. You can
    also find it on the first installation CD and included at the end of this
    announcement.

  - SUSE runs two security mailing lists to which any interested party may
    subscribe:

    opensuse-security@xxxxxxxxxxxx
        -   General Linux and SUSE security discussion.
            All SUSE security announcements are sent to this list.
            To subscribe, send an e-mail to
                <opensuse-security+subscribe@xxxxxxxxxxxx>.

    opensuse-security-announce@xxxxxxxxxxxx
        -   SUSE's announce-only mailing list.
            Only SUSE's security announcements are sent to this list.
            To subscribe, send an e-mail to
                <opensuse-security-announce+subscribe@xxxxxxxxxxxx>.

    =====================================================================
    SUSE's security contact is <security@xxxxxxxx> or <security@xxxxxxx>.
    The <security@xxxxxxx> public key is listed below.
    =====================================================================
______________________________________________________________________________

    The information in this advisory may be distributed or reproduced,
    provided that the advisory is not modified in any way. In particular, the
    clear text signature should show proof of the authenticity of the text.

    SUSE Linux Products GmbH provides no warranties of any kind whatsoever
    with respect to the information contained in this security advisory.

Type Bits/KeyID     Date       User ID
pub  2048R/3D25D3D9 1999-03-06 SuSE Security Team <security@xxxxxxx>
pub  1024D/9C800ACA 2000-10-19 SuSE Package Signing Key <build@xxxxxxx>

- - -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.2 (GNU/Linux)
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=ypVs
- - -----END PGP PUBLIC KEY BLOCK-----

- -----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iQEVAwUBSPiHhHey5gA9JdPZAQLuvQf/dD7RrQFyrC0U2GGm54CMBkawv3xfHrIs
ou0RlDQin4Zvc6VpV1sIPoU1uXIEYZclaSrBma8oAPSE/pbTqeAVBNO9soOTM0pF
t+sKQDMSO8nEf373XR7iyncZ2xIFOu5Ufy+XeI9l1tcYIBsy2h4lZARCtBFvG94/
Qsi0/6XsGwkkJ9nUKicQzfmNnGYozn8xHajxJ6U/LqDpUro4q3ZfV3NFOj5eXv+L
4XCudSg3RUf2YxvHSdwAUt+gaaSkrp6zP+jl1BFmohJoo1eEklb2tyKX72mKYB6U
Doqy0ijlwPKyfaBIHkc1edxCAW1Nx8i0PnaLUIA/aXboBNEvtnMP2A==
=dPPv
- -----END PGP SIGNATURE-----
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQEVAwUBSPiUW0hXCWfrVVdXAQH+AAgAh26w5ZGkJQxEonBmhLFif5KWG8mbxACu
ZjdyCzSe8kR2lRG3W6c8vg3J9eFD95PXsy4zOciKwV6v66oOnRb0/Bve/UI6Hb47
EH3r5rAWCRr3aNqTZkM4mKEIzIXFHxpMKxk6NNvUjIl97hN59erC6TTvTe/tdOwB
3+9nYEKXAMI9r7fsw0vtdqbSm7l9aIZncaHKO+EcknP05DMRSclNp+Ui71SdI5/i
kH549VtR4coIiJW7t/GP2VGDS+NOJ7kbxQlC72HMbn05BKoBGY6MPBes0hz6RTlF
oc/Njik9K/AZ69TFnt11hSQi1t+zYBCgkjMhw9rsh9ByqN5E5dXZRQ==
=mBDZ
-----END PGP SIGNATURE-----